Skip to main content
GET
/
v1.0
/
leads
List Leads
curl --request GET \
  --url https://api.lofty.com/v1.0/leads \
  --header 'Authorization: <authorization>'
{
  "get_metadata": {
    "collection": "note",
    "limit": 10,
    "offset": 0,
    "total": 50,
    "scrollId": "<string>"
  },
  "leads": [
    {
      "cannotText": true,
      "cannotCall": true,
      "cannotEmail": true,
      "leadId": 123,
      "leadUserId": 123,
      "firstName": "<string>",
      "lastName": "<string>",
      "birthday": "<string>",
      "emails": [
        "jane.doe@example.com",
        "jdoe-work@company.com"
      ],
      "phones": [
        "+14155551234",
        "+12125559876"
      ],
      "leadSource": 123,
      "source": "<string>",
      "stageId": 123,
      "stage": "<string>",
      "assignedUserId": 123,
      "assignedUser": "<string>",
      "lenderUserId": 123,
      "score": 123,
      "tags": [
        {
          "leadId": 123,
          "tagId": 123,
          "createTime": "<string>",
          "updateTime": "<string>",
          "tagName": "<string>",
          "creatorUserId": 123,
          "visibleType": 123
        }
      ],
      "teamId": 123,
      "streetAddress": "<string>",
      "city": "<string>",
      "state": "<string>",
      "zipCode": "<string>",
      "createTime": "<string>",
      "assignTime": "<string>",
      "facebook": "<string>",
      "twitter": "<string>",
      "hiddenFlag": true,
      "referredBy": "<string>",
      "leadInquiry": {
        "priceMin": 1,
        "priceMax": 10000000,
        "propertyType": [
          "Single Family Home",
          "Condo"
        ],
        "bedroomsMin": 1,
        "bathroomsMin": "1",
        "locations": [
          {
            "city": "Austin",
            "stateCode": "TX"
          }
        ],
        "id": 123,
        "leadUserId": 123,
        "bedroomsMax": 123,
        "bathroomsMax": "<string>",
        "modifyByAgent": true,
        "createTime": "2023-11-07T05:31:56Z",
        "updateTime": "2023-11-07T05:31:56Z",
        "defaultValue": true
      },
      "leadPropertyList": [
        {
          "price": 100000,
          "state": "California",
          "city": "New York",
          "streetAddress": "22348 Regnart RD",
          "zipCode": "25401",
          "county": "<string>",
          "propertyType": "Single Family Home",
          "bedrooms": 3,
          "bathrooms": 2,
          "squareFeet": 100,
          "lotSize": 26.33,
          "parkingSpace": 1,
          "floors": 1,
          "mailAddress": true,
          "id": 123,
          "leadUserId": 123,
          "listingId": "<string>",
          "autoListingId": 123,
          "label": "<string>",
          "note": "<string>",
          "listingStatus": "<string>",
          "labelList": "<string>",
          "pictureUrl": "<string>",
          "siteListingUrl": "<string>",
          "labelType": "<string>"
        }
      ],
      "customAttributes": [
        {
          "attributeName": "<string>",
          "attributeType": "number, text, date, single_select, multi_select, percentage, currency",
          "value": "<string>",
          "params": "<string>"
        }
      ],
      "lastUpdateTime": "<string>",
      "groups": [
        "VIP Clients",
        "Open House Feb"
      ],
      "segments": [
        "First-Time Buyers",
        "Downtown Area"
      ],
      "unsubscription": true,
      "leadTypes": [
        2,
        5
      ],
      "lastTouch": "<string>",
      "lastVisit": "<string>",
      "phoneStatuses": [
        2,
        3
      ],
      "assignCompletionStatus": true,
      "buyingTimeFrame": "6-12",
      "preQual": "Yes",
      "houseToSell": "Yes",
      "fthb": "Yes",
      "withBuyerAgent": "Yes",
      "sellingTimeFrame": "1-3",
      "mortgage": "Yes",
      "buyHouse": "Yes",
      "withListingAgent": "Yes",
      "opportunity": "High Interest",
      "leadFamilyMemberList": [
        {
          "firstName": "<string>",
          "relationship": "<string>",
          "lastName": "<string>",
          "phones": [
            "+14155551234"
          ],
          "emails": [
            "spouse@example.com"
          ],
          "birthday": "<string>"
        }
      ],
      "pondId": 123,
      "pondName": "<string>",
      "customRoleList": [
        {
          "roleId": 123,
          "role": "<string>",
          "assigneeId": 123,
          "assignee": "<string>"
        }
      ],
      "language": "<string>",
      "ownershipId": 123,
      "ownershipScope": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.lofty.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
required

Bearer [access_token]

Query Parameters

stage
string

Search for lead by pipeline stage names.

source
string

Search for lead by source name.

phone
string

Precise search for lead by phone number. Example: 3479033333

email
string

Precise search for lead by email address.

assignedUserId
integer<int64>

Search for contacts by user that is assigned to them.

contacted
boolean

Search for contacts by if they have or have not been contacted.

groups
string

Search for lead by group names. deprecated, use segments instead.

segments
string

Search for lead by segment names.

allTags
string

Search for lead with all tag names.

anyTags
string

Search for lead with any tag names.

groupIds
integer<int64>

Search for lead by office ids.

querySubGroup
boolean

Query sub group leads or not

scrollId
string

Scroll ID for the search. You can then use the scroll ID to retrieve the next batch of results for the request.

offset
integer

Start index of the responded leads

limit
integer

Quantitative limitation of responded leads, range: [1, 100]

sort
string

The sort order can be one of the following: Default, LastContact, LastCall, LastEmail, LastActivity, CreateTime, Inquries, DeleteTime, AssignTime, Score, Activity, Communication, HasDrip, HasAlert, Task, Lender, ActivitySearch, ActivityViews, ActivityFavorites, DripStatus, DripOpenRate, AlertFrequency, AlertOpenRate, SCOREV2 or SmartPlanStatus

desc
boolean

Descending sort(true) or ascending sort(false)

languages
string

Search for lead with any languages (abbreviation)

preciseSearchFlag
boolean

Whether to precise search for leads based on email or phone

roleAssigneeFilters
string

[{"roleName":"Lead assign role name","assigneeToIds":[111,222]}]

key
string

Search by name, phone or email

otherFilters
string
default:""
returnFields
string
default:""

Response

Page of matching leads with pagination metadata.

get_metadata
object

Pagination metadata (offset, limit, total, collection).

leads
object[]